# Empty ItemModel

An **Empty ItemModel** just renders nothing.

Main use for this type is for conditional checks in other types, to render something or nothing.\
Below is an example which renders nothing in the GUI until you start using the item, but renders it normal in every other context

```yaml
custom_sword:
  ItemModel:
    type: select
    property: display_context
    cases:
      - when: "gui"
        model:
          type: condition
          property: using_item
          on_true:
            type: model
            model: namespace:custom_sword
          on_false:
            type: empty
    # A Fallback ItemModel so we dont need to define all the other display-contexts manually
    fallback:
      type: model
      model: namespace:custom_sword
```

{% hint style="info" %}
You can also chain these to use different ItemModel-types inside each threshold-entry here for very complex items
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.nexomc.com/configuration/items/itemmodel-builder/empty-itemmodel.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
